Subject: Re: [PATCH] rpc: properly check debugfs dentry before using it

From: "[email-masked]" <[email-masked]>
Date: Wed, 13 Feb 2019 08:24:33 +0100

On Tue, Feb 12, 2019 at 08:52:53PM +0000, Schumaker, Anna wrote:
> On Tue, 2019-02-12 at 19:27 +0100, Greg Kroah-Hartman wrote:
> > debugfs can now report an error code if something went wrong instead of
> > just NULL.  So if the return value is to be used as a "real" dentry, it
> > needs to be checked if it is an error before dereferencing it.
> > 
> > This is now happening because of ff9fb72bc077 ("debugfs: return error
> > values, not NULL"), but why debugfs files are not being created properly
> > is an older issue, probably one that has always been there and should
> > probably be looked at...
> > 
> > Cc: "J. Bruce Fields" <[email-masked]>
> > Cc: Jeff Layton <[email-masked]>
> > Cc: Trond Myklebust <[email-masked]>
> > Cc: Anna Schumaker <[email-masked]>
> > Cc: [email-masked]
> > Cc: [email-masked]
> > Reported-by: David Howells <[email-masked]>
> > Tested-by: David Howells <[email-masked]>
> > Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> > 
> > ---
> >  net/sunrpc/debugfs.c | 2 +-
> >  1 file changed, 1 insertion(+), 1 deletion(-)
> > 
> > I can take this through my tree if people don't object, or it can go
> > through the NFS tree.  It does need to get merged before 5.0-final
> > though.
> 
> I'm planning another bugfixes pull for 5.0, so I can take this patch and send it
> with the others this week.

Wonderful, thanks for doing this, and sorry for the regression.

greg k-h